Workaround for 1.0 official plugins installation error?

Hi Team

We’re hitting [BUG] Native Plugin Inst while installing the official repository-s3 plugin, as documented at Take and restore snapshots - OpenSearch documentation.

Is there a recommended workaround for this issue, or is it a 1.1 only thing? Without this plugin we can’t back up, which in turn prevents our migration to 1.0

Thanks
Brad

(Answering my own Q, but for any others … )

I found this workaround that discusses compiling locally instead: can't install reposi

But anyway please do update this thread when a better workaround or fix is available.

Thanks
Brad

Hey @booradley. Thanks for bringing this up. I’m rooting out if there has been any movement on this issue that someone is doing on a private fork or something. It sounds like aside from the solution you mention, it will either be a 1.1 thing or (I’m guessing more likely) 1.0.1 - either way those aren’t too far off according to the roadmap.

1 Like

Awesome, appreciate the update (in the meantime, the workaround is working fine).

1 Like